<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});


// HomeController Routes
Auth::routes();
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');


// leave details
Route::get('leave_details', [HomeController::class, 'leave_details_index']);
Route::get('delete_record/{id}', [HomeController::class, 'delete_record']);




// Apply Leave
Route::get('apply_leave', [HomeController::class, 'apply_leave_index']);
Route::post('submit_leave', [HomeController::class, 'save_leave']);



// Save Leave
Route::get('reset-form', [HomeController::class, 'reset']);



// Acting Req
Route::get('acting_req', [HomeController::class, 'acting_req_index']);
Route::get('acting_accept/{id}', [HomeController::class, 'acting_accept']);
Route::get('acting_reject/{id}', [HomeController::class, 'acting_reject']);


// My Attendence
Route::get('my_attendence', [HomeController::class, 'my_attendence_index']);



// Apply Warrant
Route::get('apply_warrant', [HomeController::class, 'apply_warrant_index']);
